/* -*- tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/* Procman - dialogs
 * Copyright (C) 2001 Kevin Vandersloot
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this program; if not, see <http://www.gnu.org/licenses/>.
 *
 */
#ifndef _GSM_SERVICESDIALOGS_H_
#define _GSM_SERVICESDIALOGS_H_


#include <glib.h>
#include "application.h"

/* These are the actual range of settable values. Values outside this range
   are scaled back to these limits. So show these limits in the slider
*/
#ifdef __linux__
#define RENICE_VAL_MIN -20
#define RENICE_VAL_MAX 19
#else /* ! linux */
#define RENICE_VAL_MIN -20
#define RENICE_VAL_MAX 20
#endif


typedef enum {
    SERVICESMAN_ACTION_START,
    SERVICESMAN_ACTION_STOP,
    SERVICESMAN_ACTION_RESTART,
    SERVICESMAN_ACTION_ENABLE,
    SERVICESMAN_ACTION_DISABLE
} ServicesmanActionType;


void servicesdialog_create_dialog(GsmApplication *app, int signal);

gboolean servicesdialog_create_root_password_dialog(ServicesmanActionType type,
                                                    GsmApplication *app,
                                                    std::string name,
                                                    gint extra_value);

#endif /* _GSM_SERVICESDIALOGS_H_ */
