/* -*- tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/* Procman - tree view
 * Copyright (C) 2001 Kevin Vandersloot
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this program; if not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef _GSM_SERVICESTABLE_H_
#define _GSM_SERVICESTABLE_H_

#include <glib.h>
#include <gtk/gtk.h>
#include "application.h"
#include "legacy/treeview.h"

enum
{
    SERVICES_COL_NAME = 0,
    SERVICES_COL_LOAD,
    SERVICES_COL_ACTIVATE,
    SERVICES_COL_SUB,
    SERVICES_COL_DESCRIPTION,
    SERVICES_COL_POINTER,
    SERVICES_COL_TOOLTIP,
    SERVICES_NUM_COLUMNS
};


GsmTreeView*      servicestable_new (GsmApplication *app);
void            servicestable_update (GsmApplication *app);
void            servicestable_free_table (GsmApplication *app);
void            servicestable_freeze (GsmApplication *app);
void            servicestable_thaw (GsmApplication *app);

void            get_last_selected_services (GtkTreeModel *model, GtkTreePath *path,
                                   GtkTreeIter *iter, gpointer data);

#endif /* _GSM_SERVICESTABLE_H_ */
