/* systemd-interfaces.c generated by valac 0.44.11, the Vala compiler
 * generated from systemd-interfaces.vala, do not modify */

#include <glib-object.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>
#include <glib.h>

#define TYPE_MANAGER (manager_get_type ())
#define MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_MANAGER, Manager))
#define IS_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_MANAGER))
#define MANAGER_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), TYPE_MANAGER, ManagerIface))

typedef struct _Manager Manager;
typedef struct _ManagerIface ManagerIface;

#define TYPE_MANAGER_PROXY (manager_proxy_get_type ())

#define MANAGER_TYPE_UNIT_INFO (manager_unit_info_get_type ())
typedef struct _ManagerUnitInfo ManagerUnitInfo;

#define MANAGER_TYPE_JOB_INFO (manager_job_info_get_type ())
typedef struct _ManagerJobInfo ManagerJobInfo;
#define _g_free0(var) (var = (g_free (var), NULL))
enum  {
    MANAGER_UNIT_NEW_SIGNAL,
    MANAGER_UNIT_REMOVED_SIGNAL,
    MANAGER_JOB_NEW_SIGNAL,
    MANAGER_JOB_REMOVED_SIGNAL,
    MANAGER_NUM_SIGNALS
};
static guint manager_signals[MANAGER_NUM_SIGNALS] = {0};
typedef GDBusProxy ManagerProxy;
typedef GDBusProxyClass ManagerProxyClass;

#define TYPE_UNIT (unit_get_type ())
#define UNIT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_UNIT, Unit))
#define IS_UNIT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_UNIT))
#define UNIT_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), TYPE_UNIT, UnitIface))

typedef struct _Unit Unit;
typedef struct _UnitIface UnitIface;

#define TYPE_UNIT_PROXY (unit_proxy_get_type ())

#define UNIT_TYPE_JOB_LINK (unit_job_link_get_type ())
typedef struct _UnitJobLink UnitJobLink;
typedef GDBusProxy UnitProxy;
typedef GDBusProxyClass UnitProxyClass;

#define TYPE_JOB (job_get_type ())
#define JOB(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_JOB, Job))
#define IS_JOB(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_JOB))
#define JOB_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), TYPE_JOB, JobIface))

typedef struct _Job Job;
typedef struct _JobIface JobIface;

#define TYPE_JOB_PROXY (job_proxy_get_type ())

#define JOB_TYPE_UNIT_LINK (job_unit_link_get_type ())
typedef struct _JobUnitLink JobUnitLink;
typedef GDBusProxy JobProxy;
typedef GDBusProxyClass JobProxyClass;

#define TYPE_PROPERTIES (properties_get_type ())
#define PROPERTIES(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_PROPERTIES, Properties))
#define IS_PROPERTIES(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_PROPERTIES))
#define PROPERTIES_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), TYPE_PROPERTIES, PropertiesIface))

typedef struct _Properties Properties;
typedef struct _PropertiesIface PropertiesIface;

#define TYPE_PROPERTIES_PROXY (properties_proxy_get_type ())
enum  {
    PROPERTIES_PROPERTIES_CHANGED_SIGNAL,
    PROPERTIES_NUM_SIGNALS
};
static guint properties_signals[PROPERTIES_NUM_SIGNALS] = {0};
typedef GDBusProxy PropertiesProxy;
typedef GDBusProxyClass PropertiesProxyClass;
#define _g_hash_table_unref0(var) ((var == NULL) ? NULL : (var = (g_hash_table_unref (var), NULL)))
#define _g_variant_unref0(var) ((var == NULL) ? NULL : (var = (g_variant_unref (var), NULL)))

struct _ManagerUnitInfo {
    gchar* id;
    gchar* description;
    gchar* load_state;
    gchar* active_state;
    gchar* sub_state;
    gchar* following;
    char* unit_path;
    guint32 job_id;
    gchar* job_type;
    char* job_path;
};

struct _ManagerJobInfo {
    guint32 id;
    gchar* name;
    gchar* type;
    gchar* state;
    char* job_path;
    char* unit_path;
};

struct _ManagerIface {
    GTypeInterface parent_iface;
    ManagerUnitInfo* (*list_units) (Manager* self, gint* result_length1, GError** error);
    ManagerJobInfo* (*list_jobs) (Manager* self, gint* result_length1, GError** error);
    char* (*get_unit) (Manager* self, const gchar* name, GError** error);
    char* (*get_unit_by_pid) (Manager* self, guint32 pid, GError** error);
    char* (*load_unit) (Manager* self, const gchar* name, GError** error);
    char* (*get_job) (Manager* self, guint32 id, GError** error);
    char* (*start_unit) (Manager* self, const gchar* name, const gchar* mode, GError** error);
    char* (*stop_unit) (Manager* self, const gchar* name, const gchar* mode, GError** error);
    char* (*reload_unit) (Manager* self, const gchar* name, const gchar* mode, GError** error);
    char* (*restart_unit) (Manager* self, const gchar* name, const gchar* mode, GError** error);
    char* (*try_restart_unit) (Manager* self, const gchar* name, const gchar* mode, GError** error);
    char* (*reload_or_restart_unit) (Manager* self, const gchar* name, const gchar* mode, GError** error);
    char* (*reload_or_try_restart_unit) (Manager* self, const gchar* name, const gchar* mode, GError** error);
    void (*reset_failed_unit) (Manager* self, const gchar* name, GError** error);
    void (*clear_jobs) (Manager* self, GError** error);
    void (*subscribe) (Manager* self, GError** error);
    void (*unsubscribe) (Manager* self, GError** error);
    gchar* (*dump) (Manager* self, GError** error);
    void (*reload) (Manager* self, GError** error);
    void (*reexecute) (Manager* self, GError** error);
    void (*exit) (Manager* self, GError** error);
    void (*halt) (Manager* self, GError** error);
    void (*power_off) (Manager* self, GError** error);
    void (*reboot) (Manager* self, GError** error);
    void (*kexec) (Manager* self, GError** error);
    char* (*create_snapshot) (Manager* self, const gchar* name, gboolean cleanup, GError** error);
    void (*set_environment) (Manager* self, gchar** names, gint names_length1, GError** error);
    void (*unset_environment) (Manager* self, gchar** names, gint names_length1, GError** error);
    gchar** (*get_environment) (Manager* self, gint* result_length1);
};

struct _UnitJobLink {
    guint32 id;
    char* path;
};

struct _UnitIface {
    GTypeInterface parent_iface;
    char* (*start) (Unit* self, const gchar* mode, GError** error);
    char* (*stop) (Unit* self, const gchar* mode, GError** error);
    char* (*reload) (Unit* self, const gchar* mode, GError** error);
    char* (*restart) (Unit* self, const gchar* mode, GError** error);
    char* (*try_restart) (Unit* self, const gchar* mode, GError** error);
    char* (*reload_or_restart) (Unit* self, const gchar* mode, GError** error);
    char* (*reload_or_try_restart) (Unit* self, const gchar* mode, GError** error);
    void (*reset_failed) (Unit* self, GError** error);
    gchar* (*get_id) (Unit* self);
    gchar** (*get_names) (Unit* self, gint* result_length1);
    gchar* (*get_following) (Unit* self);
    gchar** (*get_requires) (Unit* self, gint* result_length1);
    gchar** (*get_requires_overridable) (Unit* self, gint* result_length1);
    gchar** (*get_requisite) (Unit* self, gint* result_length1);
    gchar** (*get_requisite_overridable) (Unit* self, gint* result_length1);
    gchar** (*get_wants) (Unit* self, gint* result_length1);
    gchar** (*get_required_by) (Unit* self, gint* result_length1);
    gchar** (*get_required_by_overridable) (Unit* self, gint* result_length1);
    gchar** (*get_wanted_by) (Unit* self, gint* result_length1);
    gchar** (*get_conflicts) (Unit* self, gint* result_length1);
    gchar** (*get_conflicted_by) (Unit* self, gint* result_length1);
    gchar** (*get_before) (Unit* self, gint* result_length1);
    gchar** (*get_after) (Unit* self, gint* result_length1);
    gchar** (*get_on_failure) (Unit* self, gint* result_length1);
    gchar* (*get_description) (Unit* self);
    gchar* (*get_load_state) (Unit* self);
    gchar* (*get_active_state) (Unit* self);
    gchar* (*get_sub_state) (Unit* self);
    gchar* (*get_fragment_path) (Unit* self);
    guint64 (*get_inactive_exit_timestamp) (Unit* self);
    guint64 (*get_active_enter_timestamp) (Unit* self);
    guint64 (*get_active_exit_timestamp) (Unit* self);
    guint64 (*get_inactive_enter_timestamp) (Unit* self);
    gboolean (*get_can_start) (Unit* self);
    gboolean (*get_can_stop) (Unit* self);
    gboolean (*get_can_reload) (Unit* self);
    void (*get_job) (Unit* self, UnitJobLink * value);
    gboolean (*get_recursive_stop) (Unit* self);
    gboolean (*get_stop_when_unneeded) (Unit* self);
    gboolean (*get_refuse_manual_start) (Unit* self);
    gboolean (*get_refuse_manual_stop) (Unit* self);
    gboolean (*get_default_dependencies) (Unit* self);
    gchar* (*get_default_control_group) (Unit* self);
    gchar** (*get_control_groups) (Unit* self, gint* result_length1);
    gboolean (*get_need_daemon_reload) (Unit* self);
    guint64 (*get_job_timeout_usec) (Unit* self);
};

struct _JobUnitLink {
    gchar* id;
    char* path;
};

struct _JobIface {
    GTypeInterface parent_iface;
    void (*cancel) (Job* self, GError** error);
    guint32 (*get_id) (Job* self);
    gchar* (*get_state) (Job* self);
    gchar* (*get_job_type) (Job* self);
    void (*get_unit) (Job* self, JobUnitLink * value);
};

struct _PropertiesIface {
    GTypeInterface parent_iface;
    GVariant* (*get) (Properties* self, const gchar* iface, const gchar* property, GError** error);
};

GType manager_proxy_get_type (void) G_GNUC_CONST;
                                    guint manager_register_object (void* object,
                                                                   GDBusConnection* connection,
                                                                   const gchar* path,
                                                                   GError** error);
        GType manager_unit_info_get_type (void) G_GNUC_CONST;
ManagerUnitInfo* manager_unit_info_dup (const ManagerUnitInfo* self);
void manager_unit_info_free (ManagerUnitInfo* self);
void manager_unit_info_copy (const ManagerUnitInfo* self,
                             ManagerUnitInfo* dest);
void manager_unit_info_destroy (ManagerUnitInfo* self);
GType manager_job_info_get_type (void) G_GNUC_CONST;
                                       ManagerJobInfo* manager_job_info_dup (const ManagerJobInfo* self);
                                       void manager_job_info_free (ManagerJobInfo* self);
                                       void manager_job_info_copy (const ManagerJobInfo* self,
                                                                   ManagerJobInfo* dest);
                                       void manager_job_info_destroy (ManagerJobInfo* self);
        GType manager_get_type (void) G_GNUC_CONST;
ManagerUnitInfo* manager_list_units (Manager* self,
                                     gint* result_length1,
                                     GError** error);
ManagerJobInfo* manager_list_jobs (Manager* self,
                                   gint* result_length1,
                                   GError** error);
char* manager_get_unit (Manager* self,
                        const gchar* name,
                        GError** error);
char* manager_get_unit_by_pid (Manager* self,
                               guint32 pid,
                               GError** error);
char* manager_load_unit (Manager* self,
                         const gchar* name,
                         GError** error);
char* manager_get_job (Manager* self,
                       guint32 id,
                       GError** error);
char* manager_start_unit (Manager* self,
                          const gchar* name,
                          const gchar* mode,
                          GError** error);
char* manager_stop_unit (Manager* self,
                         const gchar* name,
                         const gchar* mode,
                         GError** error);
char* manager_reload_unit (Manager* self,
                           const gchar* name,
                           const gchar* mode,
                           GError** error);
char* manager_restart_unit (Manager* self,
                            const gchar* name,
                            const gchar* mode,
                            GError** error);
char* manager_try_restart_unit (Manager* self,
                                const gchar* name,
                                const gchar* mode,
                                GError** error);
char* manager_reload_or_restart_unit (Manager* self,
                                      const gchar* name,
                                      const gchar* mode,
                                      GError** error);
char* manager_reload_or_try_restart_unit (Manager* self,
                                          const gchar* name,
                                          const gchar* mode,
                                          GError** error);
void manager_reset_failed_unit (Manager* self,
                                const gchar* name,
                                GError** error);
void manager_clear_jobs (Manager* self,
                         GError** error);
void manager_subscribe (Manager* self,
                        GError** error);
void manager_unsubscribe (Manager* self,
                          GError** error);
gchar* manager_dump (Manager* self,
                     GError** error);
void manager_reload (Manager* self,
                     GError** error);
void manager_reexecute (Manager* self,
                        GError** error);
void manager_exit (Manager* self,
                   GError** error);
void manager_halt (Manager* self,
                   GError** error);
void manager_power_off (Manager* self,
                        GError** error);
void manager_reboot (Manager* self,
                     GError** error);
void manager_kexec (Manager* self,
                    GError** error);
char* manager_create_snapshot (Manager* self,
                               const gchar* name,
                               gboolean cleanup,
                               GError** error);
void manager_set_environment (Manager* self,
                              gchar** names,
                              gint names_length1,
                              GError** error);
void manager_unset_environment (Manager* self,
                                gchar** names,
                                gint names_length1,
                                GError** error);
gchar** manager_get_environment (Manager* self,
                                 gint* result_length1);
void g_cclosure_user_marshal_VOID__STRING_STRING (GClosure * closure,
                                                         GValue * return_value,
                                                         guint n_param_values,
                                                         const GValue * param_values,
                                                         gpointer invocation_hint,
                                                         gpointer marshal_data);
void g_cclosure_user_marshal_VOID__UINT_STRING (GClosure * closure,
                                                       GValue * return_value,
                                                       guint n_param_values,
                                                       const GValue * param_values,
                                                       gpointer invocation_hint,
                                                       gpointer marshal_data);
void g_cclosure_user_marshal_VOID__UINT_STRING_STRING (GClosure * closure,
                                                              GValue * return_value,
                                                              guint n_param_values,
                                                              const GValue * param_values,
                                                              gpointer invocation_hint,
                                                              gpointer marshal_data);
void manager_proxy_g_signal (GDBusProxy* proxy,
                                    const gchar* sender_name,
                                    const gchar* signal_name,
                                    GVariant* parameters);
void _dbus_handle_manager_unit_new (Manager* self,
                                           GVariant* parameters);
void _dbus_handle_manager_unit_removed (Manager* self,
                                               GVariant* parameters);
void _dbus_handle_manager_job_new (Manager* self,
                                          GVariant* parameters);
void _dbus_handle_manager_job_removed (Manager* self,
                                              GVariant* parameters);
ManagerUnitInfo* manager_proxy_list_units (Manager* self,
                                                  gint* result_length1,
                                                  GError** error);
ManagerJobInfo* manager_proxy_list_jobs (Manager* self,
                                                gint* result_length1,
                                                GError** error);
char* manager_proxy_get_unit (Manager* self,
                                     const gchar* name,
                                     GError** error);
char* manager_proxy_get_unit_by_pid (Manager* self,
                                            guint32 pid,
                                            GError** error);
char* manager_proxy_load_unit (Manager* self,
                                      const gchar* name,
                                      GError** error);
char* manager_proxy_get_job (Manager* self,
                                    guint32 id,
                                    GError** error);
char* manager_proxy_start_unit (Manager* self,
                                       const gchar* name,
                                       const gchar* mode,
                                       GError** error);
char* manager_proxy_stop_unit (Manager* self,
                                      const gchar* name,
                                      const gchar* mode,
                                      GError** error);
char* manager_proxy_reload_unit (Manager* self,
                                        const gchar* name,
                                        const gchar* mode,
                                        GError** error);
char* manager_proxy_restart_unit (Manager* self,
                                         const gchar* name,
                                         const gchar* mode,
                                         GError** error);
char* manager_proxy_try_restart_unit (Manager* self,
                                             const gchar* name,
                                             const gchar* mode,
                                             GError** error);
char* manager_proxy_reload_or_restart_unit (Manager* self,
                                                   const gchar* name,
                                                   const gchar* mode,
                                                   GError** error);
char* manager_proxy_reload_or_try_restart_unit (Manager* self,
                                                       const gchar* name,
                                                       const gchar* mode,
                                                       GError** error);
void manager_proxy_reset_failed_unit (Manager* self,
                                             const gchar* name,
                                             GError** error);
void manager_proxy_clear_jobs (Manager* self,
                                      GError** error);
void manager_proxy_subscribe (Manager* self,
                                     GError** error);
void manager_proxy_unsubscribe (Manager* self,
                                       GError** error);
gchar* manager_proxy_dump (Manager* self,
                                  GError** error);
void manager_proxy_reload (Manager* self,
                                  GError** error);
void manager_proxy_reexecute (Manager* self,
                                     GError** error);
void manager_proxy_exit (Manager* self,
                                GError** error);
void manager_proxy_halt (Manager* self,
                                GError** error);
void manager_proxy_power_off (Manager* self,
                                     GError** error);
void manager_proxy_reboot (Manager* self,
                                  GError** error);
void manager_proxy_kexec (Manager* self,
                                 GError** error);
char* manager_proxy_create_snapshot (Manager* self,
                                            const gchar* name,
                                            gboolean cleanup,
                                            GError** error);
void manager_proxy_set_environment (Manager* self,
                                           gchar** names,
                                           gint names_length1,
                                           GError** error);
void manager_proxy_unset_environment (Manager* self,
                                             gchar** names,
                                             gint names_length1,
                                             GError** error);
gchar** manager_dbus_proxy_get_environment (Manager* self,
                                                   gint* result_length1);
void manager_proxy_manager_interface_init (ManagerIface* iface);
void _vala_ManagerUnitInfo_array_free (ManagerUnitInfo * array,
                                              gint array_length);
void _dbus_manager_list_units (Manager* self,
                                      GVariant* _parameters_,
                                      GDBusMethodInvocation* invocation);
void _vala_ManagerJobInfo_array_free (ManagerJobInfo * array,
                                             gint array_length);
void _dbus_manager_list_jobs (Manager* self,
                                     GVariant* _parameters_,
                                     GDBusMethodInvocation* invocation);
void _dbus_manager_get_unit (Manager* self,
                                    GVariant* _parameters_,
                                    GDBusMethodInvocation* invocation);
void _dbus_manager_get_unit_by_pid (Manager* self,
                                           GVariant* _parameters_,
                                           GDBusMethodInvocation* invocation);
void _dbus_manager_load_unit (Manager* self,
                                     GVariant* _parameters_,
                                     GDBusMethodInvocation* invocation);
void _dbus_manager_get_job (Manager* self,
                                   GVariant* _parameters_,
                                   GDBusMethodInvocation* invocation);
void _dbus_manager_start_unit (Manager* self,
                                      GVariant* _parameters_,
                                      GDBusMethodInvocation* invocation);
void _dbus_manager_stop_unit (Manager* self,
                                     GVariant* _parameters_,
                                     GDBusMethodInvocation* invocation);
void _dbus_manager_reload_unit (Manager* self,
                                       GVariant* _parameters_,
                                       GDBusMethodInvocation* invocation);
void _dbus_manager_restart_unit (Manager* self,
                                        GVariant* _parameters_,
                                        GDBusMethodInvocation* invocation);
void _dbus_manager_try_restart_unit (Manager* self,
                                            GVariant* _parameters_,
                                            GDBusMethodInvocation* invocation);
void _dbus_manager_reload_or_restart_unit (Manager* self,
                                                  GVariant* _parameters_,
                                                  GDBusMethodInvocation* invocation);
void _dbus_manager_reload_or_try_restart_unit (Manager* self,
                                                      GVariant* _parameters_,
                                                      GDBusMethodInvocation* invocation);
void _dbus_manager_reset_failed_unit (Manager* self,
                                             GVariant* _parameters_,
                                             GDBusMethodInvocation* invocation);
void _dbus_manager_clear_jobs (Manager* self,
                                      GVariant* _parameters_,
                                      GDBusMethodInvocation* invocation);
void _dbus_manager_subscribe (Manager* self,
                                     GVariant* _parameters_,
                                     GDBusMethodInvocation* invocation);
void _dbus_manager_unsubscribe (Manager* self,
                                       GVariant* _parameters_,
                                       GDBusMethodInvocation* invocation);
void _dbus_manager_dump (Manager* self,
                                GVariant* _parameters_,
                                GDBusMethodInvocation* invocation);
void _dbus_manager_reload (Manager* self,
                                  GVariant* _parameters_,
                                  GDBusMethodInvocation* invocation);
void _dbus_manager_reexecute (Manager* self,
                                     GVariant* _parameters_,
                                     GDBusMethodInvocation* invocation);
void _dbus_manager_exit (Manager* self,
                                GVariant* _parameters_,
                                GDBusMethodInvocation* invocation);
void _dbus_manager_halt (Manager* self,
                                GVariant* _parameters_,
                                GDBusMethodInvocation* invocation);
void _dbus_manager_power_off (Manager* self,
                                     GVariant* _parameters_,
                                     GDBusMethodInvocation* invocation);
void _dbus_manager_reboot (Manager* self,
                                  GVariant* _parameters_,
                                  GDBusMethodInvocation* invocation);
void _dbus_manager_kexec (Manager* self,
                                 GVariant* _parameters_,
                                 GDBusMethodInvocation* invocation);
void _dbus_manager_create_snapshot (Manager* self,
                                           GVariant* _parameters_,
                                           GDBusMethodInvocation* invocation);
void _dbus_manager_set_environment (Manager* self,
                                           GVariant* _parameters_,
                                           GDBusMethodInvocation* invocation);
void _dbus_manager_unset_environment (Manager* self,
                                             GVariant* _parameters_,
                                             GDBusMethodInvocation* invocation);
void manager_dbus_interface_method_call (GDBusConnection* connection,
                                                const gchar* sender,
                                                const gchar* object_path,
                                                const gchar* interface_name,
                                                const gchar* method_name,
                                                GVariant* parameters,
                                                GDBusMethodInvocation* invocation,
                                                gpointer user_data);
GVariant* manager_dbus_interface_get_property (GDBusConnection* connection,
                                                      const gchar* sender,
                                                      const gchar* object_path,
                                                      const gchar* interface_name,
                                                      const gchar* property_name,
                                                      GError** error,
                                                      gpointer user_data);
GVariant* _dbus_manager_get_environment (Manager* self);
gboolean manager_dbus_interface_set_property (GDBusConnection* connection,
                                                     const gchar* sender,
                                                     const gchar* object_path,
                                                     const gchar* interface_name,
                                                     const gchar* property_name,
                                                     GVariant* value,
                                                     GError** error,
                                                     gpointer user_data);
void _dbus_manager_unit_new (GObject* _sender,
                                    const gchar* id,
                                    const char* path,
                                    gpointer* _data);
void _dbus_manager_unit_removed (GObject* _sender,
                                        const gchar* id,
                                        const char* path,
                                        gpointer* _data);
void _dbus_manager_job_new (GObject* _sender,
                                   guint32 id,
                                   const char* path,
                                   gpointer* _data);
void _dbus_manager_job_removed (GObject* _sender,
                                       guint32 id,
                                       const char* path,
                                       const gchar* res,
                                       gpointer* _data);
void _manager_unregister_object (gpointer user_data);
GType unit_proxy_get_type (void) G_GNUC_CONST;
                                 guint unit_register_object (void* object,
                                                             GDBusConnection* connection,
                                                             const gchar* path,
                                                             GError** error);
        GType unit_job_link_get_type (void) G_GNUC_CONST;
UnitJobLink* unit_job_link_dup (const UnitJobLink* self);
void unit_job_link_free (UnitJobLink* self);
void unit_job_link_copy (const UnitJobLink* self,
                         UnitJobLink* dest);
void unit_job_link_destroy (UnitJobLink* self);
GType unit_get_type (void) G_GNUC_CONST;
                           char* unit_start (Unit* self,
                                             const gchar* mode,
                                             GError** error);
                           char* unit_stop (Unit* self,
                                            const gchar* mode,
                                            GError** error);
                           char* unit_reload (Unit* self,
                                              const gchar* mode,
                                              GError** error);
                           char* unit_restart (Unit* self,
                                               const gchar* mode,
                                               GError** error);
                           char* unit_try_restart (Unit* self,
                                                   const gchar* mode,
                                                   GError** error);
                           char* unit_reload_or_restart (Unit* self,
                                                         const gchar* mode,
                                                         GError** error);
                           char* unit_reload_or_try_restart (Unit* self,
                                                             const gchar* mode,
                                                             GError** error);
                           void unit_reset_failed (Unit* self,
                                                   GError** error);
                           gchar* unit_get_id (Unit* self);
                           gchar** unit_get_names (Unit* self,
                                                   gint* result_length1);
                           gchar* unit_get_following (Unit* self);
                           gchar** unit_get_requires (Unit* self,
                                                      gint* result_length1);
                           gchar** unit_get_requires_overridable (Unit* self,
                                                                  gint* result_length1);
                           gchar** unit_get_requisite (Unit* self,
                                                       gint* result_length1);
                           gchar** unit_get_requisite_overridable (Unit* self,
                                                                   gint* result_length1);
                           gchar** unit_get_wants (Unit* self,
                                                   gint* result_length1);
                           gchar** unit_get_required_by (Unit* self,
                                                         gint* result_length1);
                           gchar** unit_get_required_by_overridable (Unit* self,
                                                                     gint* result_length1);
                           gchar** unit_get_wanted_by (Unit* self,
                                                       gint* result_length1);
                           gchar** unit_get_conflicts (Unit* self,
                                                       gint* result_length1);
                           gchar** unit_get_conflicted_by (Unit* self,
                                                           gint* result_length1);
                           gchar** unit_get_before (Unit* self,
                                                    gint* result_length1);
                           gchar** unit_get_after (Unit* self,
                                                   gint* result_length1);
                           gchar** unit_get_on_failure (Unit* self,
                                                        gint* result_length1);
                           gchar* unit_get_description (Unit* self);
                           gchar* unit_get_load_state (Unit* self);
                           gchar* unit_get_active_state (Unit* self);
                           gchar* unit_get_sub_state (Unit* self);
                           gchar* unit_get_fragment_path (Unit* self);
                           guint64 unit_get_inactive_exit_timestamp (Unit* self);
                           guint64 unit_get_active_enter_timestamp (Unit* self);
                           guint64 unit_get_active_exit_timestamp (Unit* self);
                           guint64 unit_get_inactive_enter_timestamp (Unit* self);
                           gboolean unit_get_can_start (Unit* self);
                           gboolean unit_get_can_stop (Unit* self);
                           gboolean unit_get_can_reload (Unit* self);
                           void unit_get_job (Unit* self,
                                              UnitJobLink * result);
                           gboolean unit_get_recursive_stop (Unit* self);
                           gboolean unit_get_stop_when_unneeded (Unit* self);
                           gboolean unit_get_refuse_manual_start (Unit* self);
                           gboolean unit_get_refuse_manual_stop (Unit* self);
                           gboolean unit_get_default_dependencies (Unit* self);
                           gchar* unit_get_default_control_group (Unit* self);
                           gchar** unit_get_control_groups (Unit* self,
                                                            gint* result_length1);
                           gboolean unit_get_need_daemon_reload (Unit* self);
                           guint64 unit_get_job_timeout_usec (Unit* self);
                           void unit_proxy_g_signal (GDBusProxy* proxy,
                                                            const gchar* sender_name,
                                                            const gchar* signal_name,
                                                            GVariant* parameters);
                           char* unit_proxy_start (Unit* self,
                                                          const gchar* mode,
                                                          GError** error);
                           char* unit_proxy_stop (Unit* self,
                                                         const gchar* mode,
                                                         GError** error);
                           char* unit_proxy_reload (Unit* self,
                                                           const gchar* mode,
                                                           GError** error);
                           char* unit_proxy_restart (Unit* self,
                                                            const gchar* mode,
                                                            GError** error);
                           char* unit_proxy_try_restart (Unit* self,
                                                                const gchar* mode,
                                                                GError** error);
                           char* unit_proxy_reload_or_restart (Unit* self,
                                                                      const gchar* mode,
                                                                      GError** error);
                           char* unit_proxy_reload_or_try_restart (Unit* self,
                                                                          const gchar* mode,
                                                                          GError** error);
                           void unit_proxy_reset_failed (Unit* self,
                                                                GError** error);
                           gchar* unit_dbus_proxy_get_id (Unit* self);
                           gchar** unit_dbus_proxy_get_names (Unit* self,
                                                                     gint* result_length1);
                           gchar* unit_dbus_proxy_get_following (Unit* self);
                           gchar** unit_dbus_proxy_get_requires (Unit* self,
                                                                        gint* result_length1);
                           gchar** unit_dbus_proxy_get_requires_overridable (Unit* self,
                                                                                    gint* result_length1);
                           gchar** unit_dbus_proxy_get_requisite (Unit* self,
                                                                         gint* result_length1);
                           gchar** unit_dbus_proxy_get_requisite_overridable (Unit* self,
                                                                                     gint* result_length1);
                           gchar** unit_dbus_proxy_get_wants (Unit* self,
                                                                     gint* result_length1);
                           gchar** unit_dbus_proxy_get_required_by (Unit* self,
                                                                           gint* result_length1);
                           gchar** unit_dbus_proxy_get_required_by_overridable (Unit* self,
                                                                                       gint* result_length1);
                           gchar** unit_dbus_proxy_get_wanted_by (Unit* self,
                                                                         gint* result_length1);
                           gchar** unit_dbus_proxy_get_conflicts (Unit* self,
                                                                         gint* result_length1);
                           gchar** unit_dbus_proxy_get_conflicted_by (Unit* self,
                                                                             gint* result_length1);
                           gchar** unit_dbus_proxy_get_before (Unit* self,
                                                                      gint* result_length1);
                           gchar** unit_dbus_proxy_get_after (Unit* self,
                                                                     gint* result_length1);
                           gchar** unit_dbus_proxy_get_on_failure (Unit* self,
                                                                          gint* result_length1);
                           gchar* unit_dbus_proxy_get_description (Unit* self);
                           gchar* unit_dbus_proxy_get_load_state (Unit* self);
                           gchar* unit_dbus_proxy_get_active_state (Unit* self);
                           gchar* unit_dbus_proxy_get_sub_state (Unit* self);
                           gchar* unit_dbus_proxy_get_fragment_path (Unit* self);
                           guint64 unit_dbus_proxy_get_inactive_exit_timestamp (Unit* self);
                           guint64 unit_dbus_proxy_get_active_enter_timestamp (Unit* self);
                           guint64 unit_dbus_proxy_get_active_exit_timestamp (Unit* self);
                           guint64 unit_dbus_proxy_get_inactive_enter_timestamp (Unit* self);
                           gboolean unit_dbus_proxy_get_can_start (Unit* self);
                           gboolean unit_dbus_proxy_get_can_stop (Unit* self);
                           gboolean unit_dbus_proxy_get_can_reload (Unit* self);
                           void unit_dbus_proxy_get_job (Unit* self,
                                                                UnitJobLink* result);
                           gboolean unit_dbus_proxy_get_recursive_stop (Unit* self);
                           gboolean unit_dbus_proxy_get_stop_when_unneeded (Unit* self);
                           gboolean unit_dbus_proxy_get_refuse_manual_start (Unit* self);
                           gboolean unit_dbus_proxy_get_refuse_manual_stop (Unit* self);
                           gboolean unit_dbus_proxy_get_default_dependencies (Unit* self);
                           gchar* unit_dbus_proxy_get_default_control_group (Unit* self);
                           gchar** unit_dbus_proxy_get_control_groups (Unit* self,
                                                                              gint* result_length1);
                           gboolean unit_dbus_proxy_get_need_daemon_reload (Unit* self);
                           guint64 unit_dbus_proxy_get_job_timeout_usec (Unit* self);
                           void unit_proxy_unit_interface_init (UnitIface* iface);
                           void _dbus_unit_start (Unit* self,
                                                         GVariant* _parameters_,
                                                         GDBusMethodInvocation* invocation);
                           void _dbus_unit_stop (Unit* self,
                                                        GVariant* _parameters_,
                                                        GDBusMethodInvocation* invocation);
                           void _dbus_unit_reload (Unit* self,
                                                          GVariant* _parameters_,
                                                          GDBusMethodInvocation* invocation);
                           void _dbus_unit_restart (Unit* self,
                                                           GVariant* _parameters_,
                                                           GDBusMethodInvocation* invocation);
                           void _dbus_unit_try_restart (Unit* self,
                                                               GVariant* _parameters_,
                                                               GDBusMethodInvocation* invocation);
                           void _dbus_unit_reload_or_restart (Unit* self,
                                                                     GVariant* _parameters_,
                                                                     GDBusMethodInvocation* invocation);
                           void _dbus_unit_reload_or_try_restart (Unit* self,
                                                                         GVariant* _parameters_,
                                                                         GDBusMethodInvocation* invocation);
                           void _dbus_unit_reset_failed (Unit* self,
                                                                GVariant* _parameters_,
                                                                GDBusMethodInvocation* invocation);
                           void unit_dbus_interface_method_call (GDBusConnection* connection,
                                                                        const gchar* sender,
                                                                        const gchar* object_path,
                                                                        const gchar* interface_name,
                                                                        const gchar* method_name,
                                                                        GVariant* parameters,
                                                                        GDBusMethodInvocation* invocation,
                                                                        gpointer user_data);
                           GVariant* unit_dbus_interface_get_property (GDBusConnection* connection,
                                                                              const gchar* sender,
                                                                              const gchar* object_path,
                                                                              const gchar* interface_name,
                                                                              const gchar* property_name,
                                                                              GError** error,
                                                                              gpointer user_data);
                           GVariant* _dbus_unit_get_id (Unit* self);
                           GVariant* _dbus_unit_get_names (Unit* self);
                           GVariant* _dbus_unit_get_following (Unit* self);
                           GVariant* _dbus_unit_get_requires (Unit* self);
                           GVariant* _dbus_unit_get_requires_overridable (Unit* self);
                           GVariant* _dbus_unit_get_requisite (Unit* self);
                           GVariant* _dbus_unit_get_requisite_overridable (Unit* self);
                           GVariant* _dbus_unit_get_wants (Unit* self);
                           GVariant* _dbus_unit_get_required_by (Unit* self);
                           GVariant* _dbus_unit_get_required_by_overridable (Unit* self);
                           GVariant* _dbus_unit_get_wanted_by (Unit* self);
                           GVariant* _dbus_unit_get_conflicts (Unit* self);
                           GVariant* _dbus_unit_get_conflicted_by (Unit* self);
                           GVariant* _dbus_unit_get_before (Unit* self);
                           GVariant* _dbus_unit_get_after (Unit* self);
                           GVariant* _dbus_unit_get_on_failure (Unit* self);
                           GVariant* _dbus_unit_get_description (Unit* self);
                           GVariant* _dbus_unit_get_load_state (Unit* self);
                           GVariant* _dbus_unit_get_active_state (Unit* self);
                           GVariant* _dbus_unit_get_sub_state (Unit* self);
                           GVariant* _dbus_unit_get_fragment_path (Unit* self);
                           GVariant* _dbus_unit_get_inactive_exit_timestamp (Unit* self);
                           GVariant* _dbus_unit_get_active_enter_timestamp (Unit* self);
                           GVariant* _dbus_unit_get_active_exit_timestamp (Unit* self);
                           GVariant* _dbus_unit_get_inactive_enter_timestamp (Unit* self);
                           GVariant* _dbus_unit_get_can_start (Unit* self);
                           GVariant* _dbus_unit_get_can_stop (Unit* self);
                           GVariant* _dbus_unit_get_can_reload (Unit* self);
                           GVariant* _dbus_unit_get_job (Unit* self);
                           GVariant* _dbus_unit_get_recursive_stop (Unit* self);
                           GVariant* _dbus_unit_get_stop_when_unneeded (Unit* self);
                           GVariant* _dbus_unit_get_refuse_manual_start (Unit* self);
                           GVariant* _dbus_unit_get_refuse_manual_stop (Unit* self);
                           GVariant* _dbus_unit_get_default_dependencies (Unit* self);
                           GVariant* _dbus_unit_get_default_control_group (Unit* self);
                           GVariant* _dbus_unit_get_control_groups (Unit* self);
                           GVariant* _dbus_unit_get_need_daemon_reload (Unit* self);
                           GVariant* _dbus_unit_get_job_timeout_usec (Unit* self);
                           gboolean unit_dbus_interface_set_property (GDBusConnection* connection,
                                                                             const gchar* sender,
                                                                             const gchar* object_path,
                                                                             const gchar* interface_name,
                                                                             const gchar* property_name,
                                                                             GVariant* value,
                                                                             GError** error,
                                                                             gpointer user_data);
                           void _unit_unregister_object (gpointer user_data);
        GType job_proxy_get_type (void) G_GNUC_CONST;
guint job_register_object (void* object,
                           GDBusConnection* connection,
                           const gchar* path,
                           GError** error);
GType job_unit_link_get_type (void) G_GNUC_CONST;
                                    JobUnitLink* job_unit_link_dup (const JobUnitLink* self);
                                    void job_unit_link_free (JobUnitLink* self);
                                    void job_unit_link_copy (const JobUnitLink* self,
                                                             JobUnitLink* dest);
                                    void job_unit_link_destroy (JobUnitLink* self);
        GType job_get_type (void) G_GNUC_CONST;
void job_cancel (Job* self,
                 GError** error);
guint32 job_get_id (Job* self);
gchar* job_get_state (Job* self);
gchar* job_get_job_type (Job* self);
void job_get_unit (Job* self,
                   JobUnitLink * result);
void job_proxy_g_signal (GDBusProxy* proxy,
                                const gchar* sender_name,
                                const gchar* signal_name,
                                GVariant* parameters);
void job_proxy_cancel (Job* self,
                              GError** error);
guint32 job_dbus_proxy_get_id (Job* self);
gchar* job_dbus_proxy_get_state (Job* self);
gchar* job_dbus_proxy_get_job_type (Job* self);
void job_dbus_proxy_get_unit (Job* self,
                                     JobUnitLink* result);
void job_proxy_job_interface_init (JobIface* iface);
void _dbus_job_cancel (Job* self,
                              GVariant* _parameters_,
                              GDBusMethodInvocation* invocation);
void job_dbus_interface_method_call (GDBusConnection* connection,
                                            const gchar* sender,
                                            const gchar* object_path,
                                            const gchar* interface_name,
                                            const gchar* method_name,
                                            GVariant* parameters,
                                            GDBusMethodInvocation* invocation,
                                            gpointer user_data);
GVariant* job_dbus_interface_get_property (GDBusConnection* connection,
                                                  const gchar* sender,
                                                  const gchar* object_path,
                                                  const gchar* interface_name,
                                                  const gchar* property_name,
                                                  GError** error,
                                                  gpointer user_data);
GVariant* _dbus_job_get_id (Job* self);
GVariant* _dbus_job_get_state (Job* self);
GVariant* _dbus_job_get_job_type (Job* self);
GVariant* _dbus_job_get_unit (Job* self);
gboolean job_dbus_interface_set_property (GDBusConnection* connection,
                                                 const gchar* sender,
                                                 const gchar* object_path,
                                                 const gchar* interface_name,
                                                 const gchar* property_name,
                                                 GVariant* value,
                                                 GError** error,
                                                 gpointer user_data);
void _job_unregister_object (gpointer user_data);
GType properties_proxy_get_type (void) G_GNUC_CONST;
                                       guint properties_register_object (void* object,
                                                                         GDBusConnection* connection,
                                                                         const gchar* path,
                                                                         GError** error);
        GType properties_get_type (void) G_GNUC_CONST;
GVariant* properties_get (Properties* self,
                          const gchar* iface,
                          const gchar* property,
                          GError** error);
void g_cclosure_user_marshal_VOID__STRING_BOXED_BOXED_INT (GClosure * closure,
                                                                  GValue * return_value,
                                                                  guint n_param_values,
                                                                  const GValue * param_values,
                                                                  gpointer invocation_hint,
                                                                  gpointer marshal_data);
void properties_proxy_g_signal (GDBusProxy* proxy,
                                       const gchar* sender_name,
                                       const gchar* signal_name,
                                       GVariant* parameters);
void _dbus_handle_properties_properties_changed (Properties* self,
                                                        GVariant* parameters);
GVariant* properties_proxy_get (Properties* self,
                                       const gchar* iface,
                                       const gchar* property,
                                       GError** error);
void properties_proxy_properties_interface_init (PropertiesIface* iface);
void _dbus_properties_get (Properties* self,
                                  GVariant* _parameters_,
                                  GDBusMethodInvocation* invocation);
void properties_dbus_interface_method_call (GDBusConnection* connection,
                                                   const gchar* sender,
                                                   const gchar* object_path,
                                                   const gchar* interface_name,
                                                   const gchar* method_name,
                                                   GVariant* parameters,
                                                   GDBusMethodInvocation* invocation,
                                                   gpointer user_data);
GVariant* properties_dbus_interface_get_property (GDBusConnection* connection,
                                                         const gchar* sender,
                                                         const gchar* object_path,
                                                         const gchar* interface_name,
                                                         const gchar* property_name,
                                                         GError** error,
                                                         gpointer user_data);
gboolean properties_dbus_interface_set_property (GDBusConnection* connection,
                                                        const gchar* sender,
                                                        const gchar* object_path,
                                                        const gchar* interface_name,
                                                        const gchar* property_name,
                                                        GVariant* value,
                                                        GError** error,
                                                        gpointer user_data);
void _dbus_properties_properties_changed (GObject* _sender,
                                                 const gchar* iface,
                                                 GHashTable* changed_properties,
                                                 gchar** invalidated_properties,
                                                 gint invalidated_properties_length1,
                                                 gpointer* _data);
void _properties_unregister_object (gpointer user_data);
void _vala_array_destroy (gpointer array,
                                 gint array_length,
                                 GDestroyNotify destroy_func);
void _vala_array_free (gpointer array,
                              gint array_length,
                              GDestroyNotify destroy_func);

const GDBusArgInfo _manager_dbus_arg_info_list_units_result = {-1, "result", "a(ssssssouso)", NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_list_units_in[] = {NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_list_units_out[] = {&_manager_dbus_arg_info_list_units_result, NULL};
const GDBusMethodInfo _manager_dbus_method_info_list_units = {-1, "ListUnits", (GDBusArgInfo **) (&_manager_dbus_arg_info_list_units_in), (GDBusArgInfo **) (&_manager_dbus_arg_info_list_units_out), NULL};
const GDBusArgInfo _manager_dbus_arg_info_list_jobs_result = {-1, "result", "a(usssoo)", NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_list_jobs_in[] = {NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_list_jobs_out[] = {&_manager_dbus_arg_info_list_jobs_result, NULL};
const GDBusMethodInfo _manager_dbus_method_info_list_jobs = {-1, "ListJobs", (GDBusArgInfo **) (&_manager_dbus_arg_info_list_jobs_in), (GDBusArgInfo **) (&_manager_dbus_arg_info_list_jobs_out), NULL};
const GDBusArgInfo _manager_dbus_arg_info_get_unit_name = {-1, "name", "s", NULL};
const GDBusArgInfo _manager_dbus_arg_info_get_unit_result = {-1, "result", "o", NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_get_unit_in[] = {&_manager_dbus_arg_info_get_unit_name, NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_get_unit_out[] = {&_manager_dbus_arg_info_get_unit_result, NULL};
const GDBusMethodInfo _manager_dbus_method_info_get_unit = {-1, "GetUnit", (GDBusArgInfo **) (&_manager_dbus_arg_info_get_unit_in), (GDBusArgInfo **) (&_manager_dbus_arg_info_get_unit_out), NULL};
const GDBusArgInfo _manager_dbus_arg_info_get_unit_by_pid_pid = {-1, "pid", "u", NULL};
const GDBusArgInfo _manager_dbus_arg_info_get_unit_by_pid_result = {-1, "result", "o", NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_get_unit_by_pid_in[] = {&_manager_dbus_arg_info_get_unit_by_pid_pid, NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_get_unit_by_pid_out[] = {&_manager_dbus_arg_info_get_unit_by_pid_result, NULL};
const GDBusMethodInfo _manager_dbus_method_info_get_unit_by_pid = {-1, "GetUnitByPid", (GDBusArgInfo **) (&_manager_dbus_arg_info_get_unit_by_pid_in), (GDBusArgInfo **) (&_manager_dbus_arg_info_get_unit_by_pid_out), NULL};
const GDBusArgInfo _manager_dbus_arg_info_load_unit_name = {-1, "name", "s", NULL};
const GDBusArgInfo _manager_dbus_arg_info_load_unit_result = {-1, "result", "o", NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_load_unit_in[] = {&_manager_dbus_arg_info_load_unit_name, NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_load_unit_out[] = {&_manager_dbus_arg_info_load_unit_result, NULL};
const GDBusMethodInfo _manager_dbus_method_info_load_unit = {-1, "LoadUnit", (GDBusArgInfo **) (&_manager_dbus_arg_info_load_unit_in), (GDBusArgInfo **) (&_manager_dbus_arg_info_load_unit_out), NULL};
const GDBusArgInfo _manager_dbus_arg_info_get_job_id = {-1, "id", "u", NULL};
const GDBusArgInfo _manager_dbus_arg_info_get_job_result = {-1, "result", "o", NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_get_job_in[] = {&_manager_dbus_arg_info_get_job_id, NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_get_job_out[] = {&_manager_dbus_arg_info_get_job_result, NULL};
const GDBusMethodInfo _manager_dbus_method_info_get_job = {-1, "GetJob", (GDBusArgInfo **) (&_manager_dbus_arg_info_get_job_in), (GDBusArgInfo **) (&_manager_dbus_arg_info_get_job_out), NULL};
const GDBusArgInfo _manager_dbus_arg_info_start_unit_name = {-1, "name", "s", NULL};
const GDBusArgInfo _manager_dbus_arg_info_start_unit_mode = {-1, "mode", "s", NULL};
const GDBusArgInfo _manager_dbus_arg_info_start_unit_result = {-1, "result", "o", NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_start_unit_in[] = {&_manager_dbus_arg_info_start_unit_name, &_manager_dbus_arg_info_start_unit_mode, NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_start_unit_out[] = {&_manager_dbus_arg_info_start_unit_result, NULL};
const GDBusMethodInfo _manager_dbus_method_info_start_unit = {-1, "StartUnit", (GDBusArgInfo **) (&_manager_dbus_arg_info_start_unit_in), (GDBusArgInfo **) (&_manager_dbus_arg_info_start_unit_out), NULL};
const GDBusArgInfo _manager_dbus_arg_info_stop_unit_name = {-1, "name", "s", NULL};
const GDBusArgInfo _manager_dbus_arg_info_stop_unit_mode = {-1, "mode", "s", NULL};
const GDBusArgInfo _manager_dbus_arg_info_stop_unit_result = {-1, "result", "o", NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_stop_unit_in[] = {&_manager_dbus_arg_info_stop_unit_name, &_manager_dbus_arg_info_stop_unit_mode, NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_stop_unit_out[] = {&_manager_dbus_arg_info_stop_unit_result, NULL};
const GDBusMethodInfo _manager_dbus_method_info_stop_unit = {-1, "StopUnit", (GDBusArgInfo **) (&_manager_dbus_arg_info_stop_unit_in), (GDBusArgInfo **) (&_manager_dbus_arg_info_stop_unit_out), NULL};
const GDBusArgInfo _manager_dbus_arg_info_reload_unit_name = {-1, "name", "s", NULL};
const GDBusArgInfo _manager_dbus_arg_info_reload_unit_mode = {-1, "mode", "s", NULL};
const GDBusArgInfo _manager_dbus_arg_info_reload_unit_result = {-1, "result", "o", NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_reload_unit_in[] = {&_manager_dbus_arg_info_reload_unit_name, &_manager_dbus_arg_info_reload_unit_mode, NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_reload_unit_out[] = {&_manager_dbus_arg_info_reload_unit_result, NULL};
const GDBusMethodInfo _manager_dbus_method_info_reload_unit = {-1, "ReloadUnit", (GDBusArgInfo **) (&_manager_dbus_arg_info_reload_unit_in), (GDBusArgInfo **) (&_manager_dbus_arg_info_reload_unit_out), NULL};
const GDBusArgInfo _manager_dbus_arg_info_restart_unit_name = {-1, "name", "s", NULL};
const GDBusArgInfo _manager_dbus_arg_info_restart_unit_mode = {-1, "mode", "s", NULL};
const GDBusArgInfo _manager_dbus_arg_info_restart_unit_result = {-1, "result", "o", NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_restart_unit_in[] = {&_manager_dbus_arg_info_restart_unit_name, &_manager_dbus_arg_info_restart_unit_mode, NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_restart_unit_out[] = {&_manager_dbus_arg_info_restart_unit_result, NULL};
const GDBusMethodInfo _manager_dbus_method_info_restart_unit = {-1, "RestartUnit", (GDBusArgInfo **) (&_manager_dbus_arg_info_restart_unit_in), (GDBusArgInfo **) (&_manager_dbus_arg_info_restart_unit_out), NULL};
const GDBusArgInfo _manager_dbus_arg_info_try_restart_unit_name = {-1, "name", "s", NULL};
const GDBusArgInfo _manager_dbus_arg_info_try_restart_unit_mode = {-1, "mode", "s", NULL};
const GDBusArgInfo _manager_dbus_arg_info_try_restart_unit_result = {-1, "result", "o", NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_try_restart_unit_in[] = {&_manager_dbus_arg_info_try_restart_unit_name, &_manager_dbus_arg_info_try_restart_unit_mode, NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_try_restart_unit_out[] = {&_manager_dbus_arg_info_try_restart_unit_result, NULL};
const GDBusMethodInfo _manager_dbus_method_info_try_restart_unit = {-1, "TryRestartUnit", (GDBusArgInfo **) (&_manager_dbus_arg_info_try_restart_unit_in), (GDBusArgInfo **) (&_manager_dbus_arg_info_try_restart_unit_out), NULL};
const GDBusArgInfo _manager_dbus_arg_info_reload_or_restart_unit_name = {-1, "name", "s", NULL};
const GDBusArgInfo _manager_dbus_arg_info_reload_or_restart_unit_mode = {-1, "mode", "s", NULL};
const GDBusArgInfo _manager_dbus_arg_info_reload_or_restart_unit_result = {-1, "result", "o", NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_reload_or_restart_unit_in[] = {&_manager_dbus_arg_info_reload_or_restart_unit_name, &_manager_dbus_arg_info_reload_or_restart_unit_mode, NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_reload_or_restart_unit_out[] = {&_manager_dbus_arg_info_reload_or_restart_unit_result, NULL};
const GDBusMethodInfo _manager_dbus_method_info_reload_or_restart_unit = {-1, "ReloadOrRestartUnit", (GDBusArgInfo **) (&_manager_dbus_arg_info_reload_or_restart_unit_in), (GDBusArgInfo **) (&_manager_dbus_arg_info_reload_or_restart_unit_out), NULL};
const GDBusArgInfo _manager_dbus_arg_info_reload_or_try_restart_unit_name = {-1, "name", "s", NULL};
const GDBusArgInfo _manager_dbus_arg_info_reload_or_try_restart_unit_mode = {-1, "mode", "s", NULL};
const GDBusArgInfo _manager_dbus_arg_info_reload_or_try_restart_unit_result = {-1, "result", "o", NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_reload_or_try_restart_unit_in[] = {&_manager_dbus_arg_info_reload_or_try_restart_unit_name, &_manager_dbus_arg_info_reload_or_try_restart_unit_mode, NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_reload_or_try_restart_unit_out[] = {&_manager_dbus_arg_info_reload_or_try_restart_unit_result, NULL};
const GDBusMethodInfo _manager_dbus_method_info_reload_or_try_restart_unit = {-1, "ReloadOrTryRestartUnit", (GDBusArgInfo **) (&_manager_dbus_arg_info_reload_or_try_restart_unit_in), (GDBusArgInfo **) (&_manager_dbus_arg_info_reload_or_try_restart_unit_out), NULL};
const GDBusArgInfo _manager_dbus_arg_info_reset_failed_unit_name = {-1, "name", "s", NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_reset_failed_unit_in[] = {&_manager_dbus_arg_info_reset_failed_unit_name, NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_reset_failed_unit_out[] = {NULL};
const GDBusMethodInfo _manager_dbus_method_info_reset_failed_unit = {-1, "ResetFailedUnit", (GDBusArgInfo **) (&_manager_dbus_arg_info_reset_failed_unit_in), (GDBusArgInfo **) (&_manager_dbus_arg_info_reset_failed_unit_out), NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_clear_jobs_in[] = {NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_clear_jobs_out[] = {NULL};
const GDBusMethodInfo _manager_dbus_method_info_clear_jobs = {-1, "ClearJobs", (GDBusArgInfo **) (&_manager_dbus_arg_info_clear_jobs_in), (GDBusArgInfo **) (&_manager_dbus_arg_info_clear_jobs_out), NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_subscribe_in[] = {NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_subscribe_out[] = {NULL};
const GDBusMethodInfo _manager_dbus_method_info_subscribe = {-1, "Subscribe", (GDBusArgInfo **) (&_manager_dbus_arg_info_subscribe_in), (GDBusArgInfo **) (&_manager_dbus_arg_info_subscribe_out), NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_unsubscribe_in[] = {NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_unsubscribe_out[] = {NULL};
const GDBusMethodInfo _manager_dbus_method_info_unsubscribe = {-1, "Unsubscribe", (GDBusArgInfo **) (&_manager_dbus_arg_info_unsubscribe_in), (GDBusArgInfo **) (&_manager_dbus_arg_info_unsubscribe_out), NULL};
const GDBusArgInfo _manager_dbus_arg_info_dump_result = {-1, "result", "s", NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_dump_in[] = {NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_dump_out[] = {&_manager_dbus_arg_info_dump_result, NULL};
const GDBusMethodInfo _manager_dbus_method_info_dump = {-1, "Dump", (GDBusArgInfo **) (&_manager_dbus_arg_info_dump_in), (GDBusArgInfo **) (&_manager_dbus_arg_info_dump_out), NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_reload_in[] = {NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_reload_out[] = {NULL};
const GDBusMethodInfo _manager_dbus_method_info_reload = {-1, "Reload", (GDBusArgInfo **) (&_manager_dbus_arg_info_reload_in), (GDBusArgInfo **) (&_manager_dbus_arg_info_reload_out), NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_reexecute_in[] = {NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_reexecute_out[] = {NULL};
const GDBusMethodInfo _manager_dbus_method_info_reexecute = {-1, "Reexecute", (GDBusArgInfo **) (&_manager_dbus_arg_info_reexecute_in), (GDBusArgInfo **) (&_manager_dbus_arg_info_reexecute_out), NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_exit_in[] = {NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_exit_out[] = {NULL};
const GDBusMethodInfo _manager_dbus_method_info_exit = {-1, "Exit", (GDBusArgInfo **) (&_manager_dbus_arg_info_exit_in), (GDBusArgInfo **) (&_manager_dbus_arg_info_exit_out), NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_halt_in[] = {NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_halt_out[] = {NULL};
const GDBusMethodInfo _manager_dbus_method_info_halt = {-1, "Halt", (GDBusArgInfo **) (&_manager_dbus_arg_info_halt_in), (GDBusArgInfo **) (&_manager_dbus_arg_info_halt_out), NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_power_off_in[] = {NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_power_off_out[] = {NULL};
const GDBusMethodInfo _manager_dbus_method_info_power_off = {-1, "PowerOff", (GDBusArgInfo **) (&_manager_dbus_arg_info_power_off_in), (GDBusArgInfo **) (&_manager_dbus_arg_info_power_off_out), NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_reboot_in[] = {NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_reboot_out[] = {NULL};
const GDBusMethodInfo _manager_dbus_method_info_reboot = {-1, "Reboot", (GDBusArgInfo **) (&_manager_dbus_arg_info_reboot_in), (GDBusArgInfo **) (&_manager_dbus_arg_info_reboot_out), NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_kexec_in[] = {NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_kexec_out[] = {NULL};
const GDBusMethodInfo _manager_dbus_method_info_kexec = {-1, "Kexec", (GDBusArgInfo **) (&_manager_dbus_arg_info_kexec_in), (GDBusArgInfo **) (&_manager_dbus_arg_info_kexec_out), NULL};
const GDBusArgInfo _manager_dbus_arg_info_create_snapshot_name = {-1, "name", "s", NULL};
const GDBusArgInfo _manager_dbus_arg_info_create_snapshot_cleanup = {-1, "cleanup", "b", NULL};
const GDBusArgInfo _manager_dbus_arg_info_create_snapshot_result = {-1, "result", "o", NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_create_snapshot_in[] = {&_manager_dbus_arg_info_create_snapshot_name, &_manager_dbus_arg_info_create_snapshot_cleanup, NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_create_snapshot_out[] = {&_manager_dbus_arg_info_create_snapshot_result, NULL};
const GDBusMethodInfo _manager_dbus_method_info_create_snapshot = {-1, "CreateSnapshot", (GDBusArgInfo **) (&_manager_dbus_arg_info_create_snapshot_in), (GDBusArgInfo **) (&_manager_dbus_arg_info_create_snapshot_out), NULL};
const GDBusArgInfo _manager_dbus_arg_info_set_environment_names = {-1, "names", "as", NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_set_environment_in[] = {&_manager_dbus_arg_info_set_environment_names, NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_set_environment_out[] = {NULL};
const GDBusMethodInfo _manager_dbus_method_info_set_environment = {-1, "SetEnvironment", (GDBusArgInfo **) (&_manager_dbus_arg_info_set_environment_in), (GDBusArgInfo **) (&_manager_dbus_arg_info_set_environment_out), NULL};
const GDBusArgInfo _manager_dbus_arg_info_unset_environment_names = {-1, "names", "as", NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_unset_environment_in[] = {&_manager_dbus_arg_info_unset_environment_names, NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_unset_environment_out[] = {NULL};
const GDBusMethodInfo _manager_dbus_method_info_unset_environment = {-1, "UnsetEnvironment", (GDBusArgInfo **) (&_manager_dbus_arg_info_unset_environment_in), (GDBusArgInfo **) (&_manager_dbus_arg_info_unset_environment_out), NULL};
const GDBusMethodInfo * const _manager_dbus_method_info[] = {&_manager_dbus_method_info_list_units, &_manager_dbus_method_info_list_jobs, &_manager_dbus_method_info_get_unit, &_manager_dbus_method_info_get_unit_by_pid, &_manager_dbus_method_info_load_unit, &_manager_dbus_method_info_get_job, &_manager_dbus_method_info_start_unit, &_manager_dbus_method_info_stop_unit, &_manager_dbus_method_info_reload_unit, &_manager_dbus_method_info_restart_unit, &_manager_dbus_method_info_try_restart_unit, &_manager_dbus_method_info_reload_or_restart_unit, &_manager_dbus_method_info_reload_or_try_restart_unit, &_manager_dbus_method_info_reset_failed_unit, &_manager_dbus_method_info_clear_jobs, &_manager_dbus_method_info_subscribe, &_manager_dbus_method_info_unsubscribe, &_manager_dbus_method_info_dump, &_manager_dbus_method_info_reload, &_manager_dbus_method_info_reexecute, &_manager_dbus_method_info_exit, &_manager_dbus_method_info_halt, &_manager_dbus_method_info_power_off, &_manager_dbus_method_info_reboot, &_manager_dbus_method_info_kexec, &_manager_dbus_method_info_create_snapshot, &_manager_dbus_method_info_set_environment, &_manager_dbus_method_info_unset_environment, NULL};
const GDBusArgInfo _manager_dbus_arg_info_unit_new_id = {-1, "id", "s", NULL};
const GDBusArgInfo _manager_dbus_arg_info_unit_new_path = {-1, "path", "o", NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_unit_new[] = {&_manager_dbus_arg_info_unit_new_id, &_manager_dbus_arg_info_unit_new_path, NULL};
const GDBusSignalInfo _manager_dbus_signal_info_unit_new = {-1, "UnitNew", (GDBusArgInfo **) (&_manager_dbus_arg_info_unit_new), NULL};
const GDBusArgInfo _manager_dbus_arg_info_unit_removed_id = {-1, "id", "s", NULL};
const GDBusArgInfo _manager_dbus_arg_info_unit_removed_path = {-1, "path", "o", NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_unit_removed[] = {&_manager_dbus_arg_info_unit_removed_id, &_manager_dbus_arg_info_unit_removed_path, NULL};
const GDBusSignalInfo _manager_dbus_signal_info_unit_removed = {-1, "UnitRemoved", (GDBusArgInfo **) (&_manager_dbus_arg_info_unit_removed), NULL};
const GDBusArgInfo _manager_dbus_arg_info_job_new_id = {-1, "id", "u", NULL};
const GDBusArgInfo _manager_dbus_arg_info_job_new_path = {-1, "path", "o", NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_job_new[] = {&_manager_dbus_arg_info_job_new_id, &_manager_dbus_arg_info_job_new_path, NULL};
const GDBusSignalInfo _manager_dbus_signal_info_job_new = {-1, "JobNew", (GDBusArgInfo **) (&_manager_dbus_arg_info_job_new), NULL};
const GDBusArgInfo _manager_dbus_arg_info_job_removed_id = {-1, "id", "u", NULL};
const GDBusArgInfo _manager_dbus_arg_info_job_removed_path = {-1, "path", "o", NULL};
const GDBusArgInfo _manager_dbus_arg_info_job_removed_res = {-1, "res", "s", NULL};
const GDBusArgInfo * const _manager_dbus_arg_info_job_removed[] = {&_manager_dbus_arg_info_job_removed_id, &_manager_dbus_arg_info_job_removed_path, &_manager_dbus_arg_info_job_removed_res, NULL};
const GDBusSignalInfo _manager_dbus_signal_info_job_removed = {-1, "JobRemoved", (GDBusArgInfo **) (&_manager_dbus_arg_info_job_removed), NULL};
const GDBusSignalInfo * const _manager_dbus_signal_info[] = {&_manager_dbus_signal_info_unit_new, &_manager_dbus_signal_info_unit_removed, &_manager_dbus_signal_info_job_new, &_manager_dbus_signal_info_job_removed, NULL};
const GDBusPropertyInfo _manager_dbus_property_info_environment = {-1, "Environment", "as", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo * const _manager_dbus_property_info[] = {&_manager_dbus_property_info_environment, NULL};
const GDBusInterfaceInfo _manager_dbus_interface_info = {-1, "org.freedesktop.systemd1.Manager", (GDBusMethodInfo **) (&_manager_dbus_method_info), (GDBusSignalInfo **) (&_manager_dbus_signal_info), (GDBusPropertyInfo **) (&_manager_dbus_property_info), NULL};
const GDBusInterfaceVTable _manager_dbus_interface_vtable = {manager_dbus_interface_method_call, manager_dbus_interface_get_property, manager_dbus_interface_set_property};
const GDBusArgInfo _unit_dbus_arg_info_start_mode = {-1, "mode", "s", NULL};
const GDBusArgInfo _unit_dbus_arg_info_start_result = {-1, "result", "o", NULL};
const GDBusArgInfo * const _unit_dbus_arg_info_start_in[] = {&_unit_dbus_arg_info_start_mode, NULL};
const GDBusArgInfo * const _unit_dbus_arg_info_start_out[] = {&_unit_dbus_arg_info_start_result, NULL};
const GDBusMethodInfo _unit_dbus_method_info_start = {-1, "Start", (GDBusArgInfo **) (&_unit_dbus_arg_info_start_in), (GDBusArgInfo **) (&_unit_dbus_arg_info_start_out), NULL};
const GDBusArgInfo _unit_dbus_arg_info_stop_mode = {-1, "mode", "s", NULL};
const GDBusArgInfo _unit_dbus_arg_info_stop_result = {-1, "result", "o", NULL};
const GDBusArgInfo * const _unit_dbus_arg_info_stop_in[] = {&_unit_dbus_arg_info_stop_mode, NULL};
const GDBusArgInfo * const _unit_dbus_arg_info_stop_out[] = {&_unit_dbus_arg_info_stop_result, NULL};
const GDBusMethodInfo _unit_dbus_method_info_stop = {-1, "Stop", (GDBusArgInfo **) (&_unit_dbus_arg_info_stop_in), (GDBusArgInfo **) (&_unit_dbus_arg_info_stop_out), NULL};
const GDBusArgInfo _unit_dbus_arg_info_reload_mode = {-1, "mode", "s", NULL};
const GDBusArgInfo _unit_dbus_arg_info_reload_result = {-1, "result", "o", NULL};
const GDBusArgInfo * const _unit_dbus_arg_info_reload_in[] = {&_unit_dbus_arg_info_reload_mode, NULL};
const GDBusArgInfo * const _unit_dbus_arg_info_reload_out[] = {&_unit_dbus_arg_info_reload_result, NULL};
const GDBusMethodInfo _unit_dbus_method_info_reload = {-1, "Reload", (GDBusArgInfo **) (&_unit_dbus_arg_info_reload_in), (GDBusArgInfo **) (&_unit_dbus_arg_info_reload_out), NULL};
const GDBusArgInfo _unit_dbus_arg_info_restart_mode = {-1, "mode", "s", NULL};
const GDBusArgInfo _unit_dbus_arg_info_restart_result = {-1, "result", "o", NULL};
const GDBusArgInfo * const _unit_dbus_arg_info_restart_in[] = {&_unit_dbus_arg_info_restart_mode, NULL};
const GDBusArgInfo * const _unit_dbus_arg_info_restart_out[] = {&_unit_dbus_arg_info_restart_result, NULL};
const GDBusMethodInfo _unit_dbus_method_info_restart = {-1, "Restart", (GDBusArgInfo **) (&_unit_dbus_arg_info_restart_in), (GDBusArgInfo **) (&_unit_dbus_arg_info_restart_out), NULL};
const GDBusArgInfo _unit_dbus_arg_info_try_restart_mode = {-1, "mode", "s", NULL};
const GDBusArgInfo _unit_dbus_arg_info_try_restart_result = {-1, "result", "o", NULL};
const GDBusArgInfo * const _unit_dbus_arg_info_try_restart_in[] = {&_unit_dbus_arg_info_try_restart_mode, NULL};
const GDBusArgInfo * const _unit_dbus_arg_info_try_restart_out[] = {&_unit_dbus_arg_info_try_restart_result, NULL};
const GDBusMethodInfo _unit_dbus_method_info_try_restart = {-1, "TryRestart", (GDBusArgInfo **) (&_unit_dbus_arg_info_try_restart_in), (GDBusArgInfo **) (&_unit_dbus_arg_info_try_restart_out), NULL};
const GDBusArgInfo _unit_dbus_arg_info_reload_or_restart_mode = {-1, "mode", "s", NULL};
const GDBusArgInfo _unit_dbus_arg_info_reload_or_restart_result = {-1, "result", "o", NULL};
const GDBusArgInfo * const _unit_dbus_arg_info_reload_or_restart_in[] = {&_unit_dbus_arg_info_reload_or_restart_mode, NULL};
const GDBusArgInfo * const _unit_dbus_arg_info_reload_or_restart_out[] = {&_unit_dbus_arg_info_reload_or_restart_result, NULL};
const GDBusMethodInfo _unit_dbus_method_info_reload_or_restart = {-1, "ReloadOrRestart", (GDBusArgInfo **) (&_unit_dbus_arg_info_reload_or_restart_in), (GDBusArgInfo **) (&_unit_dbus_arg_info_reload_or_restart_out), NULL};
const GDBusArgInfo _unit_dbus_arg_info_reload_or_try_restart_mode = {-1, "mode", "s", NULL};
const GDBusArgInfo _unit_dbus_arg_info_reload_or_try_restart_result = {-1, "result", "o", NULL};
const GDBusArgInfo * const _unit_dbus_arg_info_reload_or_try_restart_in[] = {&_unit_dbus_arg_info_reload_or_try_restart_mode, NULL};
const GDBusArgInfo * const _unit_dbus_arg_info_reload_or_try_restart_out[] = {&_unit_dbus_arg_info_reload_or_try_restart_result, NULL};
const GDBusMethodInfo _unit_dbus_method_info_reload_or_try_restart = {-1, "ReloadOrTryRestart", (GDBusArgInfo **) (&_unit_dbus_arg_info_reload_or_try_restart_in), (GDBusArgInfo **) (&_unit_dbus_arg_info_reload_or_try_restart_out), NULL};
const GDBusArgInfo * const _unit_dbus_arg_info_reset_failed_in[] = {NULL};
const GDBusArgInfo * const _unit_dbus_arg_info_reset_failed_out[] = {NULL};
const GDBusMethodInfo _unit_dbus_method_info_reset_failed = {-1, "ResetFailed", (GDBusArgInfo **) (&_unit_dbus_arg_info_reset_failed_in), (GDBusArgInfo **) (&_unit_dbus_arg_info_reset_failed_out), NULL};
const GDBusMethodInfo * const _unit_dbus_method_info[] = {&_unit_dbus_method_info_start, &_unit_dbus_method_info_stop, &_unit_dbus_method_info_reload, &_unit_dbus_method_info_restart, &_unit_dbus_method_info_try_restart, &_unit_dbus_method_info_reload_or_restart, &_unit_dbus_method_info_reload_or_try_restart, &_unit_dbus_method_info_reset_failed, NULL};
const GDBusSignalInfo * const _unit_dbus_signal_info[] = {NULL};
const GDBusPropertyInfo _unit_dbus_property_info_id = {-1, "Id", "s", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_names = {-1, "Names", "as", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_following = {-1, "Following", "s", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_requires = {-1, "Requires", "as", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_requires_overridable = {-1, "RequiresOverridable", "as", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_requisite = {-1, "Requisite", "as", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_requisite_overridable = {-1, "RequisiteOverridable", "as", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_wants = {-1, "Wants", "as", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_required_by = {-1, "RequiredBy", "as", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_required_by_overridable = {-1, "RequiredByOverridable", "as", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_wanted_by = {-1, "WantedBy", "as", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_conflicts = {-1, "Conflicts", "as", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_conflicted_by = {-1, "ConflictedBy", "as", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_before = {-1, "Before", "as", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_after = {-1, "After", "as", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_on_failure = {-1, "OnFailure", "as", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_description = {-1, "Description", "s", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_load_state = {-1, "LoadState", "s", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_active_state = {-1, "ActiveState", "s", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_sub_state = {-1, "SubState", "s", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_fragment_path = {-1, "FragmentPath", "s", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_inactive_exit_timestamp = {-1, "InactiveExitTimestamp", "t", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_active_enter_timestamp = {-1, "ActiveEnterTimestamp", "t", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_active_exit_timestamp = {-1, "ActiveExitTimestamp", "t", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_inactive_enter_timestamp = {-1, "InactiveEnterTimestamp", "t", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_can_start = {-1, "CanStart", "b", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_can_stop = {-1, "CanStop", "b", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_can_reload = {-1, "CanReload", "b", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_job = {-1, "Job", "(uo)", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_recursive_stop = {-1, "RecursiveStop", "b", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_stop_when_unneeded = {-1, "StopWhenUnneeded", "b", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_refuse_manual_start = {-1, "RefuseManualStart", "b", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_refuse_manual_stop = {-1, "RefuseManualStop", "b", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_default_dependencies = {-1, "DefaultDependencies", "b", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_default_control_group = {-1, "DefaultControlGroup", "s", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_control_groups = {-1, "ControlGroups", "as", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_need_daemon_reload = {-1, "NeedDaemonReload", "b", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _unit_dbus_property_info_job_timeout_usec = {-1, "JobTimeoutUsec", "t", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo * const _unit_dbus_property_info[] = {&_unit_dbus_property_info_id, &_unit_dbus_property_info_names, &_unit_dbus_property_info_following, &_unit_dbus_property_info_requires, &_unit_dbus_property_info_requires_overridable, &_unit_dbus_property_info_requisite, &_unit_dbus_property_info_requisite_overridable, &_unit_dbus_property_info_wants, &_unit_dbus_property_info_required_by, &_unit_dbus_property_info_required_by_overridable, &_unit_dbus_property_info_wanted_by, &_unit_dbus_property_info_conflicts, &_unit_dbus_property_info_conflicted_by, &_unit_dbus_property_info_before, &_unit_dbus_property_info_after, &_unit_dbus_property_info_on_failure, &_unit_dbus_property_info_description, &_unit_dbus_property_info_load_state, &_unit_dbus_property_info_active_state, &_unit_dbus_property_info_sub_state, &_unit_dbus_property_info_fragment_path, &_unit_dbus_property_info_inactive_exit_timestamp, &_unit_dbus_property_info_active_enter_timestamp, &_unit_dbus_property_info_active_exit_timestamp, &_unit_dbus_property_info_inactive_enter_timestamp, &_unit_dbus_property_info_can_start, &_unit_dbus_property_info_can_stop, &_unit_dbus_property_info_can_reload, &_unit_dbus_property_info_job, &_unit_dbus_property_info_recursive_stop, &_unit_dbus_property_info_stop_when_unneeded, &_unit_dbus_property_info_refuse_manual_start, &_unit_dbus_property_info_refuse_manual_stop, &_unit_dbus_property_info_default_dependencies, &_unit_dbus_property_info_default_control_group, &_unit_dbus_property_info_control_groups, &_unit_dbus_property_info_need_daemon_reload, &_unit_dbus_property_info_job_timeout_usec, NULL};
const GDBusInterfaceInfo _unit_dbus_interface_info = {-1, "org.freedesktop.systemd1.Unit", (GDBusMethodInfo **) (&_unit_dbus_method_info), (GDBusSignalInfo **) (&_unit_dbus_signal_info), (GDBusPropertyInfo **) (&_unit_dbus_property_info), NULL};
const GDBusInterfaceVTable _unit_dbus_interface_vtable = {unit_dbus_interface_method_call, unit_dbus_interface_get_property, unit_dbus_interface_set_property};
const GDBusArgInfo * const _job_dbus_arg_info_cancel_in[] = {NULL};
const GDBusArgInfo * const _job_dbus_arg_info_cancel_out[] = {NULL};
const GDBusMethodInfo _job_dbus_method_info_cancel = {-1, "Cancel", (GDBusArgInfo **) (&_job_dbus_arg_info_cancel_in), (GDBusArgInfo **) (&_job_dbus_arg_info_cancel_out), NULL};
const GDBusMethodInfo * const _job_dbus_method_info[] = {&_job_dbus_method_info_cancel, NULL};
const GDBusSignalInfo * const _job_dbus_signal_info[] = {NULL};
const GDBusPropertyInfo _job_dbus_property_info_id = {-1, "Id", "u", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _job_dbus_property_info_state = {-1, "State", "s", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _job_dbus_property_info_job_type = {-1, "JobType", "s", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo _job_dbus_property_info_unit = {-1, "Unit", "(so)", G_DBUS_PROPERTY_INFO_FLAGS_READABLE, NULL};
const GDBusPropertyInfo * const _job_dbus_property_info[] = {&_job_dbus_property_info_id, &_job_dbus_property_info_state, &_job_dbus_property_info_job_type, &_job_dbus_property_info_unit, NULL};
const GDBusInterfaceInfo _job_dbus_interface_info = {-1, "org.freedesktop.systemd1.Job", (GDBusMethodInfo **) (&_job_dbus_method_info), (GDBusSignalInfo **) (&_job_dbus_signal_info), (GDBusPropertyInfo **) (&_job_dbus_property_info), NULL};
const GDBusInterfaceVTable _job_dbus_interface_vtable = {job_dbus_interface_method_call, job_dbus_interface_get_property, job_dbus_interface_set_property};
const GDBusArgInfo _properties_dbus_arg_info_get_iface = {-1, "iface", "s", NULL};
const GDBusArgInfo _properties_dbus_arg_info_get_property = {-1, "property", "s", NULL};
const GDBusArgInfo _properties_dbus_arg_info_get_result = {-1, "result", "v", NULL};
const GDBusArgInfo * const _properties_dbus_arg_info_get_in[] = {&_properties_dbus_arg_info_get_iface, &_properties_dbus_arg_info_get_property, NULL};
const GDBusArgInfo * const _properties_dbus_arg_info_get_out[] = {&_properties_dbus_arg_info_get_result, NULL};
const GDBusMethodInfo _properties_dbus_method_info_get = {-1, "Get", (GDBusArgInfo **) (&_properties_dbus_arg_info_get_in), (GDBusArgInfo **) (&_properties_dbus_arg_info_get_out), NULL};
const GDBusMethodInfo * const _properties_dbus_method_info[] = {&_properties_dbus_method_info_get, NULL};
const GDBusArgInfo _properties_dbus_arg_info_properties_changed_iface = {-1, "iface", "s", NULL};
const GDBusArgInfo _properties_dbus_arg_info_properties_changed_changed_properties = {-1, "changed_properties", "a{sv}", NULL};
const GDBusArgInfo _properties_dbus_arg_info_properties_changed_invalidated_properties = {-1, "invalidated_properties", "as", NULL};
const GDBusArgInfo * const _properties_dbus_arg_info_properties_changed[] = {&_properties_dbus_arg_info_properties_changed_iface, &_properties_dbus_arg_info_properties_changed_changed_properties, &_properties_dbus_arg_info_properties_changed_invalidated_properties, NULL};
const GDBusSignalInfo _properties_dbus_signal_info_properties_changed = {-1, "PropertiesChanged", (GDBusArgInfo **) (&_properties_dbus_arg_info_properties_changed), NULL};
const GDBusSignalInfo * const _properties_dbus_signal_info[] = {&_properties_dbus_signal_info_properties_changed, NULL};
const GDBusPropertyInfo * const _properties_dbus_property_info[] = {NULL};
const GDBusInterfaceInfo _properties_dbus_interface_info = {-1, "org.freedesktop.Properties", (GDBusMethodInfo **) (&_properties_dbus_method_info), (GDBusSignalInfo **) (&_properties_dbus_signal_info), (GDBusPropertyInfo **) (&_properties_dbus_property_info), NULL};
const GDBusInterfaceVTable _properties_dbus_interface_vtable = {properties_dbus_interface_method_call, properties_dbus_interface_get_property, properties_dbus_interface_set_property};
